From 672146dfd2850b8874f9e0c3f297ab949d52503c Mon Sep 17 00:00:00 2001
From: Cilyan Olowen <gaknar@gmail.com>
Date: Sat, 10 May 2008 16:12:41 +0200
Subject: [PATCH] Signed-off-by: Cilyan Olowen <gaknar@gmail.com>
 Updated french translation and corrected some grammar mistakes.

	modified:   acctfuncs_po.inc
	modified:   aur_po.inc
	modified:   common_po.inc
	modified:   hacker_po.inc
	modified:   index_po.inc
	modified:   pkgedit_po.inc
	modified:   pkgfuncs_po.inc
	modified:   search_po.inc
	modified:   submit_po.inc
	modified:   template_po.inc
	modified:   test_po.inc
	modified:   timeout_po.inc
---
 web/lang/fr/acctfuncs_po.inc |   23 +++++++++++++++++------
 web/lang/fr/aur_po.inc       |    2 +-
 web/lang/fr/common_po.inc    |    5 +++--
 web/lang/fr/hacker_po.inc    |    3 ++-
 web/lang/fr/index_po.inc     |   13 +++++++++----
 web/lang/fr/pkgedit_po.inc   |    2 +-
 web/lang/fr/pkgfuncs_po.inc  |   21 ++++++++++++++-------
 web/lang/fr/search_po.inc    |   29 ++++++++++++++++++-----------
 web/lang/fr/submit_po.inc    |   19 ++++++++++++-------
 web/lang/fr/template_po.inc  |    3 ++-
 web/lang/fr/test_po.inc      |    5 +++--
 web/lang/fr/timeout_po.inc   |    5 +++--
 12 files changed, 85 insertions(+), 45 deletions(-)

diff --git a/web/lang/fr/acctfuncs_po.inc b/web/lang/fr/acctfuncs_po.inc
index 61e4ffb..3e88470 100644
--- a/web/lang/fr/acctfuncs_po.inc
+++ b/web/lang/fr/acctfuncs_po.inc
@@ -1,13 +1,14 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Missing a required field."] = "Il manque un champ requis.";
 
-$_t["fr"]["Search"] = "Rechercher'";
+$_t["fr"]["Search"] = "Rechercher";
 
 $_t["fr"]["The account, %h%s%h, has been successfully created."] = "Le compte, %h%s%h, a été créé avec succès.";
 
@@ -27,7 +28,7 @@ $_t["fr"]["Account Suspended"] = "Compte Suspendu";
 
 $_t["fr"]["Status"] = "Etat";
 
-$_t["fr"]["New Package Notify"] = "Annonce d'un nouveau paquet";
+$_t["fr"]["New Package Notify"] = "Annoncer les nouveaux paquets";
 
 $_t["fr"]["IRC Nick"] = "Pseudo IRC";
 
@@ -43,11 +44,11 @@ $_t["fr"]["User"] = "Utilisateur";
 
 $_t["fr"]["Active"] = "Actif";
 
-$_t["fr"]["Last Voted"] = "Voté Dernièrement";
+$_t["fr"]["Last Voted"] = "Voté dernièrement";
 
-$_t["fr"]["Real Name"] = "Nom Réel";
+$_t["fr"]["Real Name"] = "Nom réel";
 
-$_t["fr"]["Edit Account"] = "Editer le Compte";
+$_t["fr"]["Edit Account"] = "Editer le compte";
 
 $_t["fr"]["Password fields do not match."] = "Les champs du mot de passe ne correspondent pas.";
 
@@ -83,4 +84,14 @@ $_t["fr"]["Missing User ID"] = "ID d'utilisateur manquant";
 
 $_t["fr"]["Developer"] = "Développeur";
 
-?>
\ No newline at end of file
+$_t["fr"]["It must be between %s and %s characters long"] = "Il doit être compris entre %s et %s caractères,";
+
+$_t["fr"]["Your password must be at least %s characters."] = "Votre mot de passe doit comprendre au moins %s caractères.";
+
+$_t["fr"]["Can contain only one period, underscore or hyphen."] = "ne peut contenir qu'un seul point, blanc souligné ou virgule,";
+
+$_t["fr"]["Start and end with a letter or number"] = "doit débuter et se terminer par une lettre ou un chiffre.";
+
+$_t["fr"]["The username is invalid."] = "Le nom d'utilisateur choisi n'est pas valide.";
+
+?>
diff --git a/web/lang/fr/aur_po.inc b/web/lang/fr/aur_po.inc
index 491a1a6..bd951d8 100644
--- a/web/lang/fr/aur_po.inc
+++ b/web/lang/fr/aur_po.inc
@@ -21,4 +21,4 @@ $_t["fr"]["Home"] = "Accueil";
 
 $_t["fr"]["Packages"] = "Paquets";
 
-?>
+?>
\ No newline at end of file
diff --git a/web/lang/fr/common_po.inc b/web/lang/fr/common_po.inc
index e3b54a8..f2d8a38 100644
--- a/web/lang/fr/common_po.inc
+++ b/web/lang/fr/common_po.inc
@@ -1,6 +1,7 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
@@ -9,7 +10,7 @@ $_t["fr"]["Reset"] = "Réinitialiser";
 
 $_t["fr"]["Username"] = "Nom d'utilisateur";
 
-$_t["fr"]["Email Address"] = "Adresse Email";
+$_t["fr"]["Email Address"] = "Adresse e-mail";
 
 $_t["fr"]["Less"] = "Moins";
 
@@ -27,4 +28,4 @@ $_t["fr"]["Create"] = "Créer";
 
 $_t["fr"]["More"] = "Plus";
 
-?>
\ No newline at end of file
+?>
diff --git a/web/lang/fr/hacker_po.inc b/web/lang/fr/hacker_po.inc
index d348e6a..1db0da9 100644
--- a/web/lang/fr/hacker_po.inc
+++ b/web/lang/fr/hacker_po.inc
@@ -1,12 +1,13 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Your session id is invalid."] = "Votre identifiant de session n'est pas valide.";
 
-$_t["fr"]["If this problem persists, please contact the site administrator."] = "Si ce problème persiste, contactez s'il vous plaît l'administrateur du site.";
+$_t["fr"]["If this problem persists, please contact the site administrator."] = "Si ce problème persiste, merci de contacter l'administrateur du site.";
 
 ?>
diff --git a/web/lang/fr/index_po.inc b/web/lang/fr/index_po.inc
index c2c18a0..7c67bf4 100644
--- a/web/lang/fr/index_po.inc
+++ b/web/lang/fr/index_po.inc
@@ -1,13 +1,14 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Statistics"] = "Statistiques";
 
-$_t["fr"]["Remember to vote for your favourite packages!"] = "Pensez à voter pour vos paquets favoris!";
+$_t["fr"]["Remember to vote for your favourite packages!"] = "Pensez à voter pour vos paquets favoris !";
 
 $_t["fr"]["Error looking up username, %s."] = "Erreur en recherchant l'utilisateur, %s.";
 
@@ -37,9 +38,9 @@ $_t["fr"]["Username:"] = "Nom d'utilisateur:";
 
 $_t["fr"]["Error trying to generate session id."] = "Erreur en essayant de générer un identifiant de session.";
 
-$_t["fr"]["Welcome to the AUR! Please read the %hAUR User Guidelines%h and %hAUR TU Guidelines%h for more information."] = "Bienvenu(e) sur AUR! Lisez, s'il vous plaît, le %hGuide Utilisateur AUR%h et le %hGuide des Utilisateurs de Confiance%h pour plus d'informations.";
+$_t["fr"]["Welcome to the AUR! Please read the %hAUR User Guidelines%h and %hAUR TU Guidelines%h for more information."] = "Bienvenue sur AUR ! Lisez, s'il vous plaît, le %hGuide Utilisateur AUR%h et le %hGuide des Utilisateurs de Confiance%h pour plus d'informations.";
 
-$_t["fr"]["Contributed PKGBUILDs <b>must</b> conform to the %hArch Packaging Standards%h otherwise they will be deleted!"] = "Les PKGBUILDs portés à contribution <b>doivent</b> se conformer aux %hStandards de l'empaquetage Arch%h ou sinon ils seront supprimés!";
+$_t["fr"]["Contributed PKGBUILDs <b>must</b> conform to the %hArch Packaging Standards%h otherwise they will be deleted!"] = "Les PKGBUILDs proposés <b>doivent</b> se conformer aux %hStandards de l'empaquetage Arch%h sans quoi ils seront supprimés!";
 
 $_t["fr"]["Login"] = "Se connecter";
 
@@ -59,8 +60,12 @@ $_t["fr"]["Safe"] = "Sain";
 
 $_t["fr"]["Out-of-date"] = "Périmé";
 
-$_t["fr"]["User Statistics"] = "Statistiques Utilisateur";
+$_t["fr"]["User Statistics"] = "Statistiques utilisateur";
 
 $_t["fr"]["DISCLAIMER"] = "Les PKGBUILDs proposés dans \"Unsupported\" sont produits par des utilisateurs. Téléchargez-les à vos propres risques.";
 
+$_t["fr"]["My Statistics"] = "Mes statistiques";
+
+$_t["fr"]["Home"] = "Accueil";
+
 ?>
diff --git a/web/lang/fr/pkgedit_po.inc b/web/lang/fr/pkgedit_po.inc
index d3c977c..580fe0d 100644
--- a/web/lang/fr/pkgedit_po.inc
+++ b/web/lang/fr/pkgedit_po.inc
@@ -27,4 +27,4 @@ $_t["fr"]["Comment has been added."] = "Le commentaire a été ajouté.";
 
 $_t["fr"]["Select new category"] = "Sélectionnez une nouvelle catégorie";
 
-?>
+?>
\ No newline at end of file
diff --git a/web/lang/fr/pkgfuncs_po.inc b/web/lang/fr/pkgfuncs_po.inc
index d729b35..cfd1238 100644
--- a/web/lang/fr/pkgfuncs_po.inc
+++ b/web/lang/fr/pkgfuncs_po.inc
@@ -1,6 +1,7 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
@@ -15,11 +16,11 @@ $_t["fr"]["orphan"] = "orphelin";
 
 $_t["fr"]["Votes"] = "Votes";
 
-$_t["fr"]["First Submitted"] = "Première Soumission";
+$_t["fr"]["First Submitted"] = "Première soumission";
 
 $_t["fr"]["Tarball"] = "Tarball";
 
-$_t["fr"]["Be careful! The above files may contain malicious code that can damage your system."] = "Attention! Les fichiers ci-dessus peuvent contenir du code malicieux qui pourrait endommager votre système.";
+$_t["fr"]["Be careful! The above files may contain malicious code that can damage your system."] = "Attention ! Les fichiers ci-dessus peuvent contenir du code malicieux qui pourrait endommager votre système.";
 
 $_t["fr"]["Voted"] = "Voté";
 
@@ -49,7 +50,7 @@ $_t["fr"]["Ascending"] = "Ascendant";
 
 $_t["fr"]["Delete comment"] = "Effacer le commentaire";
 
-$_t["fr"]["No New Comment Notification"] = "Pas d'annonce de Nouveau Commentaire";
+$_t["fr"]["No New Comment Notification"] = "Pas d'annonce de nouveau commentaire";
 
 $_t["fr"]["Dependencies"] = "Dépendances";
 
@@ -97,7 +98,7 @@ $_t["fr"]["change category"] = "changer de catégorie";
 
 $_t["fr"]["Vote"] = "Voter";
 
-$_t["fr"]["Use this form to update your account."] = "Utiliser ce formulaire pour mettre à jour votre compte.";
+$_t["fr"]["Use this form to update your account."] = "Utilisez ce formulaire pour mettre à jour votre compte.";
 
 $_t["fr"]["Delete Packages"] = "Supprimer des Paquets";
 
@@ -109,13 +110,13 @@ $_t["fr"]["Comment by: %h%s%h on %h%s%h"] = "Commenté par: %h%s%h sur %h%s%h";
 
 $_t["fr"]["Flag Out-of-date"] = "Marqué comme Périmé";
 
-$_t["fr"]["You are not allowed to access this area."] = "Vous n'êtes pas authorisé à accéder à cet espace.";
+$_t["fr"]["You are not allowed to access this area."] = "Vous n'êtes pas autorisé à accéder à cet espace.";
 
 $_t["fr"]["Manage"] = "Gérer";
 
 $_t["fr"]["Sort by"] = "Trier par";
 
-$_t["fr"]["Flag Package Safe To Use"] = "Marquer le paquet comme sains";
+$_t["fr"]["Flag Package Safe To Use"] = "Marquer le paquet comme Sain";
 
 $_t["fr"]["Actions"] = "Actions";
 
@@ -139,7 +140,7 @@ $_t["fr"]["Go back to %hsearch results%h."] = "Retourner aux %hrésultats de la
 
 $_t["fr"]["Adopt Packages"] = "Adopter des paquets";
 
-$_t["fr"]["New Comment Notification"] = "Annonce de Nouveau Commentaire";
+$_t["fr"]["New Comment Notification"] = "Annonce de nouveau commentaire";
 
 $_t["fr"]["Sort order"] = "Ordre de tri";
 
@@ -165,4 +166,10 @@ $_t["fr"]["Out of Date"] = "Périmé";
 
 $_t["fr"]["Required by"] = "Requis par";
 
+$_t["fr"]["This package has been flagged out of date."] = "Ce paquet a été marqué comme périmé.";
+
+$_t["fr"]["Toggle Notify"] = "Annoncer/Ne plus annoncer";
+
+$_t["fr"]["Accounts"] = "Comptes";
+
 ?>
diff --git a/web/lang/fr/search_po.inc b/web/lang/fr/search_po.inc
index d3a0e26..d84c1cf 100644
--- a/web/lang/fr/search_po.inc
+++ b/web/lang/fr/search_po.inc
@@ -1,6 +1,7 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
@@ -13,7 +14,7 @@ $_t["fr"]["Couldn't flag package safe."] = "Ce paquet ne peut être marqué comm
 
 $_t["fr"]["You did not select any packages to un-vote for."] = "Vous n'avez sélectionné aucun paquet dont le vote doit être retiré.";
 
-$_t["fr"]["The selected packages have been unflagged."] = "Les paquets sélectionnés ont été \"dé-marqués\".";
+$_t["fr"]["The selected packages have been unflagged."] = "Les paquets sélectionnés ne sont plus marqués.";
 
 $_t["fr"]["You did not select any packages to adopt."] = "Vous n'avez pas sélectionné de paquet à adopter.";
 
@@ -23,23 +24,23 @@ $_t["fr"]["You must be logged in before you can get notifications on comments."]
 
 $_t["fr"]["You must be logged in before you can vote for packages."] = "Vous devez être authentifié avant de pouvoir voter pour des paquets.";
 
-$_t["fr"]["The selected packages have been flagged out-of-date."] = "Les paquets sélectionnés ont été marqués  comme périmés.";
+$_t["fr"]["The selected packages have been flagged out-of-date."] = "Les paquets sélectionnés ont été marqués comme périmés.";
 
 $_t["fr"]["The selected packages have been deleted."] = "Les paquets sélectionnés ont été supprimés.";
 
-$_t["fr"]["You did not select any packages to vote for."] = "Vous n'avez sélectionné aucun paquet pour lequel vous souhaitez voter.";
+$_t["fr"]["You did not select any packages to vote for."] = "Vous n'avez sélectionné aucun paquet pour lesquels vous souhaitez voter.";
 
 $_t["fr"]["You must be logged in before you can disown packages."] = "Vous devez être authentifié avant de pouvoir abandonner des paquets.";
 
-$_t["fr"]["Error trying to retrieve package details."] = "Erreur en essayant de retrouvÃer les détails du paquets.";
+$_t["fr"]["Error trying to retrieve package details."] = "Erreur en essayant de retrouver les détails du paquets.";
 
 $_t["fr"]["The selected packages have been adopted."] = "Les paquets sélectionnés ont été adoptés.";
 
 $_t["fr"]["You have been removed from the comment notification list."] = "Vous avez été retiré de la liste de notification des commentaires.";
 
-$_t["fr"]["Your votes have been cast for the selected packages."] = "Vos votes ont été adistribué aux paquets sélectionnés.";
+$_t["fr"]["Your votes have been cast for the selected packages."] = "Vos votes ont été distribués aux paquets sélectionnés.";
 
-$_t["fr"]["The selected packages have been unflagged safe."] = "Les paquets sélectionnés ont été \"dé-marqués\" comme sains.";
+$_t["fr"]["The selected packages have been unflagged safe."] = "Les paquets sélectionnés ne sont plus marqués comme sains.";
 
 $_t["fr"]["You must be logged in before you can cancel notification on comments."] = "Vous devez être authentifié avant de pouvoir annuler les annonces sur les commentaires.";
 
@@ -51,15 +52,15 @@ $_t["fr"]["You did not select any packages to disown."] = "Vous n'avez sélectio
 
 $_t["fr"]["You must be logged in before you can un-vote for packages."] = "Vous devez être authentifié avant de pouvoir retiré votre vote sur des paquets.";
 
-$_t["fr"]["You must be logged in before you can unflag packages."] = "Vous devez être authentifié avant de pouvoir \"dé-marquer\" des paquets.";
+$_t["fr"]["You must be logged in before you can unflag packages."] = "Vous devez être authentifié avant de pouvoir retirer le marquage des paquets.";
 
-$_t["fr"]["You did not select any packages to unflag."] = "Vous n'avez sélectionné aucun paquet à \"dé-marquer\".";
+$_t["fr"]["You did not select any packages to unflag."] = "Vous n'avez sélectionné aucun paquet auxquels retirer le marquage.";
 
-$_t["fr"]["Couldn't unflag package safe."] = "Ce paquet ne peut être \"dé-marqué\" come sain.";
+$_t["fr"]["Couldn't unflag package safe."] = "La marque \"Sain\" n'a pu être enlevée du paquet.";
 
 $_t["fr"]["You did not select any packages to delete."] = "Vous n'avez sélectionné aucun paquet à supprimer.";
 
-$_t["fr"]["Couldn't add to notification list."] = " Ajout impossible à la liste de notification.";
+$_t["fr"]["Couldn't add to notification list."] = "Ajout impossible à la liste de notification.";
 
 $_t["fr"]["You did not select any packages to flag."] = "Vous n'avez sélectionné aucun paquet à marquer.";
 
@@ -69,4 +70,10 @@ $_t["fr"]["The selected packages have been flagged safe."] = "Les paquets sélec
 
 $_t["fr"]["Couldn't remove from notification list."] = "Suppression impossible de la liste de notification.";
 
-?>
\ No newline at end of file
+$_t["fr"]["Packages"] = "Paquets";
+
+$_t["fr"]["You have been removed from the comment notification list for %s."] = "Vous avez été retiré de la liste de notification des commentaires pour %s.";
+
+$_t["fr"]["You have been added to the comment notification list for %s."] = "Vous avez été ajouté à la liste de notification des commentaires pour %s.";
+
+?>
diff --git a/web/lang/fr/submit_po.inc b/web/lang/fr/submit_po.inc
index f348bd2..eb1c635 100644
--- a/web/lang/fr/submit_po.inc
+++ b/web/lang/fr/submit_po.inc
@@ -1,13 +1,14 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Missing build function in PKGBUILD."] = "Fonction build manquante dans le PKGBUILD.";
 
-$_t["fr"]["Could not change directory to %s."] = "Ne peut changer le répertoire vers %s.";
+$_t["fr"]["Could not change directory to %s."] = "Impossible de changer le répertoire vers %s.";
 
 $_t["fr"]["No"] = "Non";
 
@@ -21,9 +22,9 @@ $_t["fr"]["You must create an account before you can upload packages."] = "Vous
 
 $_t["fr"]["Package upload successful."] = "Transfert du paquet réussi.";
 
-$_t["fr"]["Overwrite existing package?"] = "Ecraser le paquet existant?";
+$_t["fr"]["Overwrite existing package?"] = "Écraser le paquet existant ?";
 
-$_t["fr"]["Binary packages and filelists are not allowed for upload."] = "Les paquets binaires et les listes de fichiers ne sont pas autoriÃsés à être transferés.";
+$_t["fr"]["Binary packages and filelists are not allowed for upload."] = "Les paquets binaires et les listes de fichiers ne sont pas autorisés à être transferés.";
 
 $_t["fr"]["You did not specify a package name."] = "Vous n'avez pas spécifié de nom de paquet.";
 
@@ -33,7 +34,7 @@ $_t["fr"]["Could not create incoming directory: %s."] = "Impossible de créer le
 
 $_t["fr"]["Upload package file"] = "Fichier àdu paquet à tranférer";
 
-$_t["fr"]["Package Location"] = " Chemin du paquet";
+$_t["fr"]["Package Location"] = "Chemin du paquet";
 
 $_t["fr"]["Missing url variable in PKGBUILD."] = "La variable url est manquante dans le PKGBUILD.";
 
@@ -43,7 +44,7 @@ $_t["fr"]["Package Category"] = "Catégorie du paquet";
 
 $_t["fr"]["Could not change to directory %s."] = "Impossible de changer de répertoire vers %s.";
 
-$_t["fr"]["You did not tag the 'overwrite' checkbox."] = "Vous n'avez pas coché la case 'Ecraser'.";
+$_t["fr"]["You did not tag the 'overwrite' checkbox."] = "Vous n'avez pas coché la case 'Écraser'.";
 
 $_t["fr"]["Invalid name: only lowercase letters are allowed."] = "Nom invalide: seules les lettres minuscules sont autorisées.";
 
@@ -77,7 +78,7 @@ $_t["fr"]["Unknown file format for uploaded file."] = "Format de fichier inconnu
 
 $_t["fr"]["Missing source variable in PKGBUILD."] = "Variable source manquante dans le PKGBUILD.";
 
-$_t["fr"]["Could not re-tar"] = "Impossible de 'exécuter à nouveau la commande tar";
+$_t["fr"]["Could not re-tar"] = "Impossible d'exécuter à nouveau la commande tar";
 
 $_t["fr"]["Sorry, uploads are not permitted by this server."] = "Désolé, les transferts ne sont pas permis par ce serveur.";
 
@@ -85,4 +86,8 @@ $_t["fr"]["You must supply a comment for this upload/change."] = "Vous devez fou
 
 $_t["fr"]["Yes"] = "Oui";
 
-?>
\ No newline at end of file
+$_t["fr"]["Missing license variable in PKGBUILD."] = "La variable license est manquante dans le PKGBUILD.";
+
+$_t["fr"]["Missing arch variable in PKGBUILD."] = "La variable arch est manquante dans le PKGBUILD.";
+
+?>
diff --git a/web/lang/fr/template_po.inc b/web/lang/fr/template_po.inc
index c9a0466..2084c16 100644
--- a/web/lang/fr/template_po.inc
+++ b/web/lang/fr/template_po.inc
@@ -1,10 +1,11 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
-$_t["fr"]["Hi, this is worth reading!"] = "Salut, ceci vaut la peine d'être lu!";
+$_t["fr"]["Hi, this is worth reading!"] = "Salut, ceci vaut la peine d'être lu !";
 
 ?>
diff --git a/web/lang/fr/test_po.inc b/web/lang/fr/test_po.inc
index 3a32cb6..f53af14 100644
--- a/web/lang/fr/test_po.inc
+++ b/web/lang/fr/test_po.inc
@@ -1,15 +1,16 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Select your language here: %h%s%h, %h%s%h, %h%s%h, %h%s%h."] = "Choisissez votre langue ici: %h%s%h, %h%s%h, %h%s%h, %h%s%h.";
 
-$_t["fr"]["Hello, world!"] = "Salut tout le monde!";
+$_t["fr"]["Hello, world!"] = "Salut tout le monde !";
 
-$_t["fr"]["Hello, again!"] = "Salut encore!";
+$_t["fr"]["Hello, again!"] = "Salut encore !";
 
 $_t["fr"]["My current language tag is: '%s'."] = "Mon choix actuel de langue est: '%s'.";
 
diff --git a/web/lang/fr/timeout_po.inc b/web/lang/fr/timeout_po.inc
index ee18018..bb4c376 100644
--- a/web/lang/fr/timeout_po.inc
+++ b/web/lang/fr/timeout_po.inc
@@ -1,12 +1,13 @@
 <?php
 # French (Français) translation
 # Translator: Morgan LEFIEUX <comete@archlinuxfr.org>
+# Translator: Cilyan Olowen <gaknar@gmail.com>
 
 include_once("translator.inc");
 global $_t;
 
 $_t["fr"]["Click on the Home link above to log in."] = "Cliquez sur le lien ci-dessus pour vous authentifier.";
 
-$_t["fr"]["Your session has timed out.  You must log in again."] = "Votre session a expiré. Vous devez vous ré-authentifier.";
+$_t["fr"]["Your session has timed out.  You must log in again."] = "Votre session a expiré. Vous devez vous authentifier à nouveau.";
 
-?>
\ No newline at end of file
+?>
-- 
1.5.5.1